
using System;
using Math2D;

namespace PlanetExpress.items.enemys.masters {
	
	public class BaseEnemyMaster {
		
		protected EnemyClass Enemy;
		public BaseEnemyMaster(EnemyClass enemy) {
			Enemy = enemy;
		}
		
		public virtual void Action(double timer) {
			
		}
		
		public virtual void Die() {
			
		}
	}
}
